Please bear with the site.

WordPress just released Strayhorn, and like any good blog script freak, I just had to upgrade. Odd, though, that what’s showing now is the template I used with ver. 1.3 Alpha 6 :/

UPDATE: Upgrade finished. No issues so far.

Leave a Reply

Your email address will not be published. Required fields are marked *